prelude: Prelude module replacement

This is a package candidate release! Here you can preview how this package release will appear once published to the main package index (which can be accomplished via the 'maintain' link below). Please note that once a package has been published to the main package index it cannot be undone! Please consult the package uploading documentation for more information.

[maintain]

This package provides a Prelude module drop-in replacement for base's Prelude module.

Goals of this package include:

Versioning and Usage

This package is intended to be used in combination with base-noprelude and possibly base-orphans. prelude strives to be faithful to the PVP; however, for technical reasons prelude's API is not fully determined by its version due to changes in core typeclasses and consequently it's strongly advised to declare a dependency on prelude always in conjunction with a dependency on base-noprelude.

For instance, if you were previously depending on base via

build-depends:
    base ^>= 4.10.0.0 || ^>= 4.11.0.0

replace base by base-noprelude and also add a dependency on prelude like so

build-depends:
    prelude ^>= 0.1.0.0
  , base-noprelude ^>= 4.10.0.0 || ^>= 4.11.0.0

Properties

Version0.1.0.0
Change logNone available
Dependenciesbase-noprelude (>=4.3 && <4.13), fail (==4.9.*), ghc-prim (==0.2.*), semigroups (>=0.18.5 && <0.19), transformers (>=0.3.0.0 && <0.6) [details]
LicenseBSD-3-Clause
Copyright2017-2018 Herbert Valerio Riedel
AuthorHerbert Valerio Riedel
Maintainerhvr@gnu.org
CategoryPrelude
Bug trackerhttps://github.com/hvr/prelude/issues
Source repositoryhead: git clone https://github.com/hvr/prelude.git
UploadedSat Aug 25 18:15:13 UTC 2018 by HerbertValerioRiedel

Modules

Downloads

Maintainers' corner

For package maintainers and hackage trustees